org.apache.poi.hssf.record

## Class FeatRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.FeatRecord

- All Implemented Interfaces:
    Duplicatable

      public final class FeatRecord
      extends StandardRecord

  Title: Feat (Feature) Record

  This record specifies Shared Features data. It is normally paired up with a `FeatHdrRecord`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`
    `static short` | `v11_sid`
    `static short` | `v12_sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeatRecord()`
    `FeatRecord(FeatRecord other)`
    `FeatRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `FeatRecord` | `clone()` Deprecated.
    `FeatRecord` | `copy()`
    `long` | `getCbFeatData()`
    `CellRangeAddress[]` | `getCellRefs()`
    `protected int` | `getDataSize()`
    `int` | `getIsf_sharedFeatureType()`
    `SharedFeature` | `getSharedFeature()`
    `short` | `getSid()` return the non static version of the id for this record.
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setCbFeatData(long cbFeatData)`
    `void` | `setCellRefs(CellRangeAddress[] cellRefs)`
    `void` | `setSharedFeature(SharedFeature feature)`
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

    - #### v11_sid

          public static final short v11_sid

      See Also:
        Constant Field Values

    - #### v12_sid

          public static final short v12_sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FeatRecord

          public FeatRecord()

    - #### FeatRecord

          public FeatRecord(FeatRecord other)

    - #### FeatRecord

          public FeatRecord(RecordInputStream in)

  - ### Method Detail

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getIsf_sharedFeatureType

          public int getIsf_sharedFeatureType()

    - #### getCbFeatData

          public long getCbFeatData()

    - #### setCbFeatData

          public void setCbFeatData(long cbFeatData)

    - #### getCellRefs

          public CellRangeAddress[] getCellRefs()

    - #### setCellRefs

          public void setCellRefs(CellRangeAddress[] cellRefs)

    - #### getSharedFeature

          public SharedFeature getSharedFeature()

    - #### setSharedFeature

          public void setSharedFeature(SharedFeature feature)

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public FeatRecord clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public FeatRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.